Xerces-J API: Class Field.Matcher

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.schema.identity
Class Field.Matcher

    java.lang.Object
      |
      +--org.apache.xerces.validators.schema.identity.XPathMatcher
            |
            +--org.apache.xerces.validators.schema.identity.Field.Matcher

Enclosing class:
  Field

protected class Field.Matcher
extends XPathMatcher

Field matcher.

Author:
  Andy Clark, IBM

Field Summary
`protected ValueStore` | `fStore` Value store for data values.

Fields inherited from class org.apache.xerces.validators.schema.identity.XPathMatcher
`DEBUG_ALL, DEBUG_ANY, DEBUG_MATCH, DEBUG_METHODS, DEBUG_METHODS2, DEBUG_METHODS3, DEBUG_STACK, fIDConstraint, fNamespacesScope, fStringPool`

Constructor Summary
`Field.Matcher(Field.XPath xpath, ValueStore store)` Constructs a field matcher.

Method Summary
`protected void` | `matched(java.lang.String content, DatatypeValidator val, boolean isNil)` This method is called when the XPath handler matches the XPath expression.

Methods inherited from class org.apache.xerces.validators.schema.identity.XPathMatcher
`characters, endDocumentFragment, endElement, getIDConstraint, getIsSelector, getMatchedString, isMatched, startDocumentFragment, startElement, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fStore

    protected ValueStore fStore

  Value store for data values.

Constructor Detail

### Field.Matcher

    public Field.Matcher(Field.XPath xpath,
                         ValueStore store)

  Constructs a field matcher.

Method Detail

### matched

    protected void matched(java.lang.String content,
                           DatatypeValidator val,
                           boolean isNil)
                    throws java.lang.Exception

  This method is called when the XPath handler matches the XPath expression.
  Overrides:
    matched in class XPathMatcher

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.